<?php

$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();

$session->set('format','%d/%m/%Y') ;

$fsn_historiques_index->noLimit();

$helper_form = new Yab_Helper_Form($form);
$form_errors = $form->getErrors();

$module = $form->getElement('categorie_object')->getValue();

$display_search = 'none' ;
if ( !empty($module) || !empty($form_errors) )
$display_search = 'block' ;

?>

<script type='text/javascript'>
    var sZeroRecords = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_error')) ; ?>"
    var sSearch = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_label')) ; ?> :"
</script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/fsn_tools/table_module.js"></script>

<div class="table-responsive">

    <div class="table-responsive">
        <div id="optiontools"></div>

        <div id="table_fsn_historiques_index_wrapper">
            <table id="table_fsn_historiques_index"
                   class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
                <caption>
                    <?php echo $filter_no_html->filter( $i18n -> say('fsn_historique_title_index')) ; ?>
                </caption>
                <thead>
                <tr class="headings">

                    <th><?php echo $filter_no_html->filter( $i18n->say('date_historique')) ; ?></th> <!-- jfb 2016-04-12 -->
                    <th><?php echo $filter_no_html->filter( $i18n->say('id')) ; ?></th>
                    <th><?php echo $filter_no_html->filter( $i18n->say('categorie_object')) ; ?></th>
                    <th><?php echo $filter_no_html->filter( $i18n->say('login')) ; ?></th>
                    <th><?php echo $filter_no_html->filter( $i18n->say('type_action')) ; ?></th>
<!--                <th><?php echo $filter_no_html->filter( $i18n->say('date_historique')) ; ?></th> -- jfb 2016-04-12 -->

                </tr>
                </thead>

                <tbody>
                <?php foreach($fsn_historiques_index as $fsn_historique){ ?>

				<!-- jfb 2016-04-28 début : Les croquis ne doivent pas apparaître dans la liste à l'écran ; servant uniquement à la sycnhro -->
                        <?php
                        $categorie_object = strtolower ($fsn_historique->get('categorie_object')) ;
                        switch ($categorie_object){
                            case 'croquis':
                            case 'croquis_import':
								continue 2; // passer à l'itération suivante. Note au développeur : en mettant cette instruction en commentaire, il reste possible d'afficher la ligne (inactive) :
                         ?>
                <tr title="Inactive" class="table-relation-row">
                        <?php
                                break;
                            default: // dans les autres cas, afficher la ligne cliquable :
                         ?>
    	        <tr href="<?php echo $this->getRequest('Fsn_Historique', 'show', array($fsn_historique->get('id')) ); ?>"
                    title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>" class="table-clickable-row">
                        <?php
                                break;
                        }
                         ?>
				<!-- jfb 2016-04-28 fin -->
				
                    <!-- 	<td class="table-row-data"><a href="<?php echo $this->getRequest('Fsn_Historique', 'show', array($fsn_historique->get('id')) ); ?>"
                                        title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"></a>   -->

                    <td class="table-row-data"><?php echo $fsn_historique->get('date_historique', $filter_html); ?></td> <!--  jfb 2016-04-12 -->

                    <td class="table-row-data">
                        <?php
	                    $data =  $fsn_historique ->get('data_modified');
                        $categorie_object = strtolower ($fsn_historique->get('categorie_object')) ;
                        $type_action = strtolower ($fsn_historique->get('type_action')) ;
                        switch ($categorie_object){

                            case 'oa':
                                echo json_decode($data, TRUE) ['identification'];
                                break;

                            case 'organisme':
                                echo json_decode($data, TRUE) ['nom'];
                                break;

                            case 'oa_doc':
                                $model_oa = new Model_Oa(json_decode($data, TRUE) ['oa_id']);
                                $oa = $model_oa->get('identification'); // (jfb) Quid si l'OA a été deletée ?
                                echo $oa;
                                break;

                            case 'us':
                                if($type_action != 'import') {
                                    echo json_decode($data, TRUE)  ['identification'];
                                } else {
                                    continue;
                                }
                                break;

                            case 'us_doc':
                                $model_us = new Model_Us(json_decode($data, TRUE) ['us_id']);
                                $us = $model_us->get('identification'); // (jfb) Quid si l'US a été deletée ?
                                echo $us;
                                break;

                            case 'us_er':
                                $model_us = new Model_Us(json_decode($data, TRUE) ['us_id']);
                                $us = $model_us->get('identification'); // (jfb) Quid si l'US a été deletée ?
                                echo $us;
                                break;

                            case 'phase_us':
                                $phase = '' ;
                                $phase_id = !empty(json_decode($data, TRUE)['phase_id']) ? json_decode($data, TRUE)['phase_id'] : null ;
                                if ( !empty($phase_id) ) {
                                    $model_phase = new Model_Phasechrono ($phase_id);
                                    $phase = $model_phase->get('identification');
                                }
                                $us = '' ;
                                $us_id = !empty(json_decode($data, TRUE) ['us_id']) ? json_decode($data, TRUE) ['us_id'] : null ;
                                if ( !empty($us_id) ) {
                                    $model_us = new Model_Us($us_id);
                                    $us = $model_us->get('identification');
                                }
                                echo $phase .'-' .$us;
                                break;

                            case 'elementrecueilli':
                                echo json_decode($data, TRUE)  ['numero'];
                                break;

                            case 'er_doc':
                                $model_elementrecueilli = new Model_Elementrecueilli(json_decode($data, TRUE) ['er_id']);
                                $elementrecueilli = $model_elementrecueilli->get('numero'); // (jfb) Quid si l'elementrecueilli a été deleté ?
                                echo $elementrecueilli;
                                break;

                            case 'elementpoterie':
                                $caracterepate_id = json_decode($data, TRUE) ['caracterepate_id'] ;
                                if(!empty($caracterepate_id) ){
                                    $model_fsn_categorie = new Model_Fsn_Categorie($caracterepate_id);
                                    $fsn_categorie = $model_fsn_categorie->get('categorie_value');

                                } else {
                                    $fsn_categorie = '';
                                }
                                $cle_metier = $fsn_historique->get('cle_metier');
                                echo $cle_metier .'-' . $fsn_categorie;
                                break;

                            case 'er_naturematiere':
	        				// début try catch (jfb 2016-04-15)
							try {
                                $model_fsn_categorie = new Model_Fsn_Categorie(json_decode($data, TRUE) ['naturematiere_id']);
                                $fsn_categorie = $model_fsn_categorie->get('categorie_value');
							} catch (Exception $e) {
								$fsn_categorie = 'catégorie naturematiere_id non trouvée';
							}
							try {
                                $model_elementrecueilli = new Model_Elementrecueilli(json_decode($data, TRUE) ['er_id']);
                                $elementrecueilli = $model_elementrecueilli->get('numero');
							} catch (Exception $e) {
								$elementrecueilli = 'elementrecueilli er_id non trouvé';
							}
			       	 		// fin try catch (jfb 2016-04-15)
                                echo $elementrecueilli .'-' . $fsn_categorie;
                                break;

                            case 'fai':
                                echo json_decode($data, TRUE)  ['identification'];
                                break;

                            case 'fai_us':
							// jfb 2016-04-19 début
							try {
                                $model_fai = new Model_Fai (json_decode($data, TRUE) ['fai_id']);
                                $fai = $model_fai->get('identification');
							} catch (Exception $e) {
								$fai = 'fai_id non trouvé';
							}
							try {
                                $model_us = new Model_Us(json_decode($data, TRUE) ['us_id']);
                                $us = $model_us->get('identification');
							} catch (Exception $e) {
								$us = 'us_id non trouvé';
							}
							// jfb 2016-04-19 fin
                                echo $fai .'-' . $us;
                                break;

                            case 'inclusion us': // jfb 2016-05-02
                            case 'inclusion': // (jfb) Attention case inclusion traité plus bas.
							// jfb 2016-04-21 correctif fiche mantis 230 début
							try {
                                $model_us_incluante = new Model_Us(json_decode($data, TRUE) ['inclusion2_id']);
                                $us_incluante = $model_us_incluante->get('identification');
							} catch (Exception $e) {
								$us_incluante = 'US incluante inclusion2_id non trouvé';
							}
							try {
                                $model_us_incluse = new Model_Us(json_decode($data, TRUE) ['inclusion1_id']);
                                $us_incluse = $model_us_incluse->get('identification');
							} catch (Exception $e) {
								$us_incluse = 'US incluse inclusion1_id non trouvé';
							}
							// jfb 2016-04-21 correctif fiche mantis 230 fin
                                echo $us_incluse.' -> ' . $us_incluante ;
                                break;

                            case 'document':
                                echo json_decode($data, TRUE)  ['chemin'];
                                break;

                            case 'intervention us': // jfb 2016-05-02
                            case 'intervention_us':
							// jfb 2016-04-21 correctif fiche mantis 230 début
							try {
                                $model_intervenant = new Model_Intervenant(json_decode($data, TRUE) ['intervenant_id']);
                                $nom = $model_intervenant->get('nom');
                                $prenom = $model_intervenant->get('prenom');
							} catch (Exception $e) {
								$nom = 'Intervenant non trouvé';
								$prenom = '';
							}
							try {
                                $model_us = new Model_Us(json_decode($data, TRUE) ['us_id']);
                                $us = $model_us->get('identification');
							} catch (Exception $e) {
								$us = 'US non trouvé';
							}
							// jfb 2016-04-21 correctif fiche mantis 230 fin
                                $debut = json_decode($data, TRUE) ['debut'];
                                $fin = json_decode($data, TRUE) ['fin'];
                                echo $nom .'-'. $prenom .' '. $us .' du '.$debut.' au '.$fin;
                                break;

                            case 'participation':
							// jfb 2016-04-21 correctif début
							try {
                                $model_intervenant = new Model_Intervenant(json_decode($data, TRUE) ['intervenant_id']);
                                $nom = $model_intervenant->get('nom');
                                $prenom = $model_intervenant->get('prenom');
							} catch (Exception $e) {
								$nom = 'Intervenant non trouvé';
								$prenom = '';
							}
							try {
                                $model_oa = new Model_Oa(json_decode($data, TRUE) ['oa_id']);
                                $oa = $model_oa->get('identification');
							} catch (Exception $e) {
								$oa = 'OA non trouvé';
							}
							// jfb 2016-04-21 correctif fin
                                $debut = json_decode($data, TRUE) ['debut'];
                                $fin = json_decode($data, TRUE) ['fin'];
                                echo $nom .'-' . $prenom .' a participé à '. $oa.' du '.$debut.' au '.$fin;
                                break;

                            case 'superposition us': // jfb 2016-05-02
                            case 'superposition':
							// jfb 2016-04-21 correctif fiche mantis 230 début
							try {
                                $model_us = new Model_Us (json_decode($data, TRUE) ['anterieur_id']);
                                $us = $model_us->get('identification');
							} catch (Exception $e) {
								$us = 'US anterieur_id non trouvé';
							}
							try {
                                $model_us2 = new Model_Us(json_decode($data, TRUE) ['posterieur_id']);
                                $us2 = $model_us2->get('identification');
							} catch (Exception $e) {
								$us2 = 'US posterieur_id non trouvé';
							}
							// jfb 2016-04-21 correctif fiche mantis 230 fin
                                echo $us .'-' .$us2;
                                break;

                            case 'synchronisation us': // jfb 2016-05-02
                            case 'synchronisation':
                                $synchro1_id = json_decode($data, TRUE) ['synchro1_id'] ;
                                if(!empty($synchro1_id) ){
									// jfb 2016-04-21 correctif fiche mantis 230 début
									try {
                                    	$model_us = new Model_Us ($synchro1_id);
                                    	$us1 = $model_us->get('identification');
									} catch (Exception $e) {
										$us1 = 'US synchro1_id non trouvé';
									}
									// jfb 2016-04-21 correctif fiche mantis 230 fin
                                } else {
                                    $us1 = '' ;
                                }
                                $synchro2_id = json_decode($data, TRUE) ['synchro2_id'] ;
                                if(!empty($synchro2_id) ){
									// jfb 2016-04-21 correctif fiche mantis 230 début
									try {
	                                    $model_us2 = new Model_Us($synchro2_id);
    	                                $us2 = $model_us2->get('identification');
									} catch (Exception $e) {
										$us2 = 'US synchro2_id non trouvé';
									}
									// jfb 2016-04-21 correctif fiche mantis 230 fin
                                } else {
                                    $us2 = '' ;
                                }
                                echo $us1 .'-' .$us2;
                                break;

                            case 'inclusion': // (jfb) Attention case inclusion déjà traité plus haut
                                $model_us = new Model_Us (json_decode($data, TRUE) ['inclusion1_id']);
                                $us= $model_us->get('identification');
                                $model_us2 = new Model_Us(json_decode($data, TRUE) ['inclusion2_id']);
                                $us2 = $model_us2->get('identification');
                                echo $us .'-' .$us2;
                                break;

                            case 'user':
                                echo json_decode($data, TRUE) ['login'];
                                break;

                            case 'interfait':
							// jfb 2016-04-19 début
							try {
                                $model_fai = new Model_Fai (json_decode($data, TRUE) ['fai_id']);
                                $fai = $model_fai->get('identification');
							} catch (Exception $e) {
								$fai = 'fai_id non trouvé';
							}
							try {
                                $model_fai1 = new Model_Fai (json_decode($data, TRUE) ['fai_id_1']);
                                $fai1 = $model_fai1->get('identification');
							} catch (Exception $e) {
								$fai1 = 'fai_id_1 non trouvé';
							}
							// jfb 2016-04-19 fin
                                echo $fai .'-' .$fai1;
                                break;

                            case 'profil': // jfb 2016-04-20 correctif fiche mantis 218 : récupération du nom de profil
                                echo json_decode($data, TRUE) ['Nomprofil'];
                                break;

                            case 'conteneur': // jfb 2016-04-20 correctif fiche mantis 219 : récupération du nom de conteneur
                                echo json_decode($data, TRUE) ['nom'];
                                break;

							case 'er': // jfb 2016-04-20 correctif fiche mantis 227 : récupération du numéro d'ER et de l'identification d'US
                                $er = json_decode($data, TRUE) ['numero'];
								try {
                                	$model_us = new Model_Us (json_decode($data, TRUE) ['us_id']);
                                	$us = $model_us->get('identification');
								} catch (Exception $e) {
									$us = 'us_id non trouvé';
								}
                                echo $er .'-' .$us;
                                break;

                            case 'intervenant': // jfb 2016-04-20 correctif fiche mantis 227 : récupération de l'identification de l'intervenant
                                echo json_decode($data, TRUE) ['nom'].' '.json_decode($data, TRUE) ['prenom'];
                                break;

                            case 'sitefouille': // jfb 2016-04-20 correctif fiche mantis 227 : récupération de l'identification du site de fouille
                                echo json_decode($data, TRUE) ['nomabrege'];
                                break;

                            case 'traitement': // jfb 2016-04-27 correctif fiche mantis 239 : récupération du nom de traitement
                                echo json_decode($data, TRUE) ['nom'];
                                break;

							// jfb 2016-04-28 début
                            case 'croquis':
                            case 'croquis_import':
                                $cle_metier = $fsn_historique->get('cle_metier');
                                echo $cle_metier;
                                break;
							// jfb 2016-04-28 fin

                            case 'phasechrono': // jfb 2016-05-02
								try {
                                	$model_sf = new Model_Sitefouille (json_decode($data, TRUE) ['sitefouille_id']);
                                	$sf = $model_sf->get('nomabrege');
								} catch (Exception $e) {
									$sf = 'sitefouille_id non trouvé';
								}
                                $phasechrono = json_decode($data, TRUE) ['identification'];
                                echo $sf . '-' . $phasechrono;
                                break;

							case 'association_er': // jfb 2016-05-02
							    try {
							       $model_er1 = new Model_Elementrecueilli(json_decode($data, TRUE) ['er_ancien_id']);
							       $er1 = $model_er1->get('numero');
							    } catch (Exception $e) {
							       $er1 = 'er_ancien_id non trouvé';
							    }
							    try {
							       $model_er2 = new Model_Elementrecueilli(json_decode($data, TRUE) ['er_nouveau_id']);
							       $er2 = $model_er2->get('numero');
							    } catch (Exception $e) {
							       $er2 = 'er_nouveau_id non trouvé';
							    }
							    echo $er1 . ' -> ' . $er2 ;
							    break;

                            case 'fsn_organisme': // jfb 2016-05-02
                                echo json_decode($data, TRUE) ['nomabrege'];
                                break;

                            default:
                                echo 'aucune';
                                break;
                        }
                        ?>
                    </td>

                    <!--  	<td class="table-row-data"><a href="<?php echo $this->getRequest('Fsn_Historique', 'show', array($fsn_historique->get('id')) ); ?>"
                                title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"></a></td>
                    -->
                    <td class="table-row-data"><?php echo $fsn_historique->get('categorie_object', $filter_html); ?></td>
                    <td class="table-row-data"><?php echo $fsn_historique->get('login', $filter_html); ?></td>
                    <td class="table-row-data"><?php echo $fsn_historique->get('type_action', $filter_html); ?></td>
<!--                <td class="table-row-data"><?php echo $fsn_historique->get('date_historique', $filter_html); ?></td> -- jfb 2016-04-12 -->

                </tr>
                <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
            href="<?php echo $this->getRequest('Index', 'index'); ?>"
            class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>